<?php
/**
 * app/plugins/members/models/members.php
 *
 * This class is used for the manipulation of the members database table.
 *
 * @package TP Members
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Models;

use TheTempusProject\Canary\Bin\Canary as Debug;
use TheTempusProject\Bedrock\Functions\Check;
use TheTempusProject\Bedrock\Functions\Sanitize;
use TheTempusProject\Classes\DatabaseModel;
use TheTempusProject\TheTempusProject as App;

class MembershipRecords extends DatabaseModel {
    public $tableName = 'membership_records';
    public $databaseMatrix = [
        [ 'membership_id', 'int', '10' ],
        [ 'recorded_at', 'int', '10' ],
        [ 'record_type', 'string', '' ],
    ];

    public function __construct() {
        parent::__construct();
    }
}