<?php
/**
 * app/plugins/timers/forms.php
 *
 * This houses all of the form checking functions for this plugin.
 *
 * @package TP Timers
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins\Suggestions;

use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Classes\Forms;

class TimerForms extends Forms {
    /**
     * Adds these functions to the form list.
     */
    public function __construct() {
        self::addHandler( 'saveTimer', __CLASS__, 'saveTimer' );
        self::addHandler( 'pauseTimer', __CLASS__, 'pauseTimer' );
        self::addHandler( 'resumeTimer', __CLASS__, 'resumeTimer' );
    }
    public static function saveTimer() {
        return true;
    }
    public static function pauseTimer() {
        return true;
    }
    public static function resumeTimer() {
        return true;
    }
}

new TimerForms;
