<?php
/**
 * app/plugins/todo/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP ToDo
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Todo extends Plugin {
    public $pluginName = 'TP ToDo';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide to-do list.';
    public $permissionMatrix = [
        'createTas' => [
            'pretty' => 'Can create todo items',
            'default' => false,
        ],
        'createList' => [
            'pretty' => 'Can create todo lists',
            'default' => false,
        ],
    ];
    public $main_links = [
        [
            'text' => 'To-Do',
            'url' => '{ROOT_URL}todo/index/',
            'filter' => 'loggedin',
        ],
    ];
}
